@echo off
set SRC=%1
set DST=%2
if "%SRC%"=="" goto usage
if "%DST%"=="" goto usage
if not exist %SRC%\jsimdext.inc goto usage
if not exist %DST%\jpeglib.h    goto usage
goto copy_ok

:usage
echo.
echo Usgae: %0 (source dir) (destination dir)
echo   example: %0 .\jpeg-6bx c:\mozilla\jpeg
goto end

:copy_ok

rem ====== clean the destination dir ======
ren %DST%\jdatadst.c       jdatadst.__c
ren %DST%\jerror.c         jerror.__c
ren %DST%\jmorecfg.h       jmorecfg.__h
ren %DST%\jpeglib.h        jpeglib.__h
ren %DST%\jconfig-mac-cw.h jconfig-mac-cw.__h
ren %DST%\jconfig.h        jconfig.__h
ren %DST%\jos2fig.h        jos2fig.__h
ren %DST%\jwinfig.h        jwinfig.__h
if exist %DST%\*.c   del %DST%\*.c
if exist %DST%\*.h   del %DST%\*.h
if exist %DST%\*.asm del %DST%\*.asm
if exist %DST%\jconfig.wat  del %DST%\jconfig.wat
if exist %DST%\makefile.gen del %DST%\makefile.gen
ren %DST%\*.__c *.c
ren %DST%\*.__h *.h

rem ====== copy reqired files ======
copy /y %SRC%\jcapimin.c   %DST% > nul
copy /y %SRC%\jcapistd.c   %DST% > nul
copy /y %SRC%\jccoefct.c   %DST% > nul
copy /y %SRC%\jccolor.c    %DST% > nul
copy /y %SRC%\jcdctmgr.c   %DST% > nul
copy /y %SRC%\jchuff.c     %DST% > nul
copy /y %SRC%\jcinit.c     %DST% > nul
copy /y %SRC%\jcmainct.c   %DST% > nul
copy /y %SRC%\jcmarker.c   %DST% > nul
copy /y %SRC%\jcmaster.c   %DST% > nul
copy /y %SRC%\jcomapi.c    %DST% > nul
copy /y %SRC%\jcparam.c    %DST% > nul
copy /y %SRC%\jcphuff.c    %DST% > nul
copy /y %SRC%\jcprepct.c   %DST% > nul
copy /y %SRC%\jcsample.c   %DST% > nul
rem copy /y %SRC%\jctrans.c    %DST% > nul
copy /y %SRC%\jdapimin.c   %DST% > nul
copy /y %SRC%\jdapistd.c   %DST% > nul
copy /y %SRC%\jdatasrc.c   %DST% > nul
copy /y %SRC%\jdcoefct.c   %DST% > nul
copy /y %SRC%\jdcolor.c    %DST% > nul
copy /y %SRC%\jddctmgr.c   %DST% > nul
copy /y %SRC%\jdhuff.c     %DST% > nul
copy /y %SRC%\jdinput.c    %DST% > nul
copy /y %SRC%\jdmainct.c   %DST% > nul
copy /y %SRC%\jdmarker.c   %DST% > nul
copy /y %SRC%\jdmaster.c   %DST% > nul
copy /y %SRC%\jdmerge.c    %DST% > nul
copy /y %SRC%\jdphuff.c    %DST% > nul
copy /y %SRC%\jdpostct.c   %DST% > nul
copy /y %SRC%\jdsample.c   %DST% > nul
rem copy /y %SRC%\jdtrans.c    %DST% > nul
copy /y %SRC%\jmemmgr.c    %DST% > nul
copy /y %SRC%\jmemnobs.c   %DST% > nul
copy /y %SRC%\jquant1.c    %DST% > nul
copy /y %SRC%\jquant2.c    %DST% > nul
copy /y %SRC%\jsimdgcc.c   %DST% > nul
copy /y %SRC%\jutils.c     %DST% > nul
copy /y %SRC%\makecfg.c    %DST% > nul
copy /y %SRC%\jchuff.h     %DST% > nul
copy /y %SRC%\jcolsamp.h   %DST% > nul
copy /y %SRC%\jdct.h       %DST% > nul
copy /y %SRC%\jdhuff.h     %DST% > nul
copy /y %SRC%\jerror.h     %DST% > nul
copy /y %SRC%\jinclude.h   %DST% > nul
copy /y %SRC%\jmemsys.h    %DST% > nul
copy /y %SRC%\jpegint.h    %DST% > nul
copy /y %SRC%\jversion.h   %DST% > nul
copy /y %SRC%\jccolmmx.asm %DST% > nul
copy /y %SRC%\jccolss2.asm %DST% > nul
copy /y %SRC%\jcqnt3dn.asm %DST% > nul
copy /y %SRC%\jcqntflt.asm %DST% > nul
copy /y %SRC%\jcqntint.asm %DST% > nul
copy /y %SRC%\jcqntmmx.asm %DST% > nul
copy /y %SRC%\jcqnts2f.asm %DST% > nul
copy /y %SRC%\jcqnts2i.asm %DST% > nul
copy /y %SRC%\jcqntsse.asm %DST% > nul
copy /y %SRC%\jcsammmx.asm %DST% > nul
copy /y %SRC%\jcsamss2.asm %DST% > nul
copy /y %SRC%\jdcolmmx.asm %DST% > nul
copy /y %SRC%\jdcolss2.asm %DST% > nul
copy /y %SRC%\jdmermmx.asm %DST% > nul
copy /y %SRC%\jdmerss2.asm %DST% > nul
copy /y %SRC%\jdsammmx.asm %DST% > nul
copy /y %SRC%\jdsamss2.asm %DST% > nul
copy /y %SRC%\jf3dnflt.asm %DST% > nul
copy /y %SRC%\jfdctflt.asm %DST% > nul
copy /y %SRC%\jfdctfst.asm %DST% > nul
copy /y %SRC%\jfdctint.asm %DST% > nul
copy /y %SRC%\jfmmxfst.asm %DST% > nul
copy /y %SRC%\jfmmxint.asm %DST% > nul
copy /y %SRC%\jfss2fst.asm %DST% > nul
copy /y %SRC%\jfss2int.asm %DST% > nul
copy /y %SRC%\jfsseflt.asm %DST% > nul
copy /y %SRC%\ji3dnflt.asm %DST% > nul
copy /y %SRC%\jidctflt.asm %DST% > nul
copy /y %SRC%\jidctfst.asm %DST% > nul
copy /y %SRC%\jidctint.asm %DST% > nul
copy /y %SRC%\jidctred.asm %DST% > nul
copy /y %SRC%\jimmxfst.asm %DST% > nul
copy /y %SRC%\jimmxint.asm %DST% > nul
copy /y %SRC%\jimmxred.asm %DST% > nul
copy /y %SRC%\jiss2flt.asm %DST% > nul
copy /y %SRC%\jiss2fst.asm %DST% > nul
copy /y %SRC%\jiss2int.asm %DST% > nul
copy /y %SRC%\jiss2red.asm %DST% > nul
copy /y %SRC%\jisseflt.asm %DST% > nul
copy /y %SRC%\jsimdcpu.asm %DST% > nul
copy /y %SRC%\jsimdw32.asm %DST% > nul
copy /y %SRC%\jcolsamp.inc %DST% > nul
copy /y %SRC%\jdct.inc     %DST% > nul
copy /y %SRC%\jsimdext.inc %DST% > nul

echo.
echo The source files have been copied to %DST%
echo.
echo Before building, apply the accompanying patch like this:
echo   patch -p1 -i firefox-x86simd-1.02.dif

:end
set SRC=
set DST=
